Paul Eggert 28 gadi atpakaļ
vecāks
revīzija
c1580fb4c9
1 mainītis faili ar 35 papildinājumiem un 0 dzēšanām
  1. 35 0
      tests/volume.sh

+ 35 - 0
tests/volume.sh

@@ -0,0 +1,35 @@
+#! /bin/sh
+# Volume labels are checked on read by fnmatch.
+
+. ./preset
+. $srcdir/before
+
+tar cfVT archive label /dev/null || exit 1
+
+tar xfV archive label || exit 1
+tar xfV archive 'la?el' || exit 1
+tar xfV archive 'l*l' || exit 1
+
+echo 1>&2 -----
+tar xfV archive lab
+test $? = 2 || exit 1
+echo 1>&2 -----
+tar xfV archive bel
+test $? = 2 || exit 1
+echo 1>&2 -----
+tar xfV archive babel
+test $? = 2 || exit 1
+
+err="\
+-----
+tar: Volume \`label' does not match \`lab'
+tar: Error is not recoverable: exiting now
+-----
+tar: Volume \`label' does not match \`bel'
+tar: Error is not recoverable: exiting now
+-----
+tar: Volume \`label' does not match \`babel'
+tar: Error is not recoverable: exiting now
+"
+
+. $srcdir/after